/* You can add global styles to this file, and also import other style files */
@import "../src/assets/css/flexslider.css";
/*@import "../src/assets/css/font-awesome.css";*/
@import "../src/assets/css/animate.css";
@import '~material-icons/iconfont/material-icons.css';

html, body {
    height: 100%;
}

:root {
  touch-action: pan-x pan-y;
  height: 100% 
}

input[type="text"],
input[type="number"],
input[type="email"],
input[type="tel"],
input[type="password"] {
  font-size: 16px;
}

body {
    margin: 0;
    font-family: Roboto, "Helvetica Neue", sans-serif;
}


mat-form-field {
    width: 80%;
}


.mat-submit {
    background-color: #d13b3b;
    color: white;
}


.custom-dialog-container .mat-dialog-container {
    padding-top: 0;
}

.custom-dialog-container2 .mat-dialog-container {
    padding: 0;
}
.my-full-screen-dialog{
    max-width: 100vw !important;
    width: 100%;
    box-sizing: border-box;
    overflow: hidden;
}

.my-full-screen-dialog .mat-dialog-container{
    border-radius: 0;
    width:100vw;
    height:100vh;
    min-height:100vh;
    margin:0;
    padding: 0;
    display: flex;
    overflow: hidden;
    background-color: white;
}

.my-full-screen-dialog section {
    max-width: 100vw !important;
    width: 100vw;
    height: 100%;
}

.my-full-screen-dialog .content {
    margin-top: 50px;
    overflow-x: scroll;
}

.my-snackbar {
    color: black;
    background: white;
}

.my-snackbar-error {
    color: white;
    background: #D75B5E;
}

.my-snackbar-success {
    color: white;
    background: #7DC094;
}

.my-snackbar-error button, .my-snackbar-success button {
    color: white;
}

.timepicker-overlay {
    z-index: 10000000 !important;
}

.timepicker-backdrop-overlay {
    z-index: 10000000 !important;
}

.timepicker__header {
    background-color: #D75B5E !important;
}

.clock-face__number > span.active {
    background-color: #D75B5E !important;
}

.clock-face__clock-hand {
    background-color: #D75B5E !important;
}

.clock-face__clock-hand_minute:before {
    border: 4px solid #D75B5E !important;
}

.timepicker-button {
    color: #D75B5E !important;
}

app-gallery-preview .my-preview video {
    /* max-height: 45vh !important; */
    border: 1px solid #717171;
}

.gallery-view {
    overflow: auto;
}

.preview-small video {
    max-height: 220px !important;
    min-height: 220px !important;
    border: 1px solid #717171;
}

@media only screen and (min-width: 567px) and (max-width: 992px) {
    app-gallery-preview .my-preview video {
        /* max-height: 30vh !important; */
    }
}

@media only screen and (min-width: 319px) and (max-width: 992px) {
    .preview-small video {
        max-height: 100px !important;
        min-height: 100px !important;
        border: 1px solid #717171;
    }
}

/* social media icons */
ul.social-list {
    list-style: none;
    padding: 0;
    text-align: center;
}

.social-list li {
    margin: 5px;
    display: inline-block;
}

.social-list li a {
    font-size: 21px;
    color: #ccc;
}

.social-list li a:hover {
    color: #ccc;
}

.social-list li a:hover .social-icon {
    border-color: #ccc;
}

.social-icon {
    position: relative;
    display: inline-block;
    width: 40px;
    height: 40px;
    line-height: 40px;
    vertical-align: middle;
    border: 2px solid #fff;
    border-radius: 50%;
    text-align: center;
}

.social-icon .fa {
    line-height: inherit;
    position: absolute;
    text-align: center;
    left: 0;
    width: 100%;
}
/* social media icons */
.speakerViewContainer video {
    height: 100vh;
}

.search-table {
    height: 48px;
    width: 300px;
    background: #FFFFFF;
    box-shadow: 0 7px 64px rgba(0, 0, 0, 0.07);
    border-radius: 6px;
}


